#
# spec file for package diffutils (Version 2.8.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           diffutils
Url:            http://www.gnu.org/software/diffutils/
License:        GFDLv1.2 ; GPLv3+
Group:          Productivity/Text/Utilities
Provides:       diff 
Obsoletes:      diff 
AutoReqProv:    on
PreReq:         %{install_info_prereq}
Version:        2.8.7
Release:        144
Summary:        GNU diff Utilities
Source:         diffutils-%{version}-cvs.tar.bz2
Patch1:         diffutils-2.8.1-i18n-0.2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU diff utilities find differences between files. diff is used to
make source code patches, for instance.



Authors:
--------
    Paul Eggert <eggert@twinsun.com>
    David J. MacKenzie <djm@gnu.org>
    Richard Stallman <rms@gnu.org>
    Roland McGrath <roland@gnu.org>

%prep
%setup -q -n %{name}-%{version}-cvs
%patch1 -p1

%build
AUTOPOINT=true autoreconf -fi
touch man/*.1
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make %{?jobs:-j%jobs};

%install
make install DESTDIR="$RPM_BUILD_ROOT"
%find_lang %name

%post
%install_info --info-dir=%{_infodir} %{_infodir}/diff.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/diff.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS
/usr/bin/cmp
/usr/bin/diff
/usr/bin/diff3
/usr/bin/sdiff
%doc %{_infodir}/diff.info*.gz
%doc %{_mandir}/man1/*.gz

%changelog
